{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}

{% block component_part %}

    {% if  form.vars.value.id is defined  and form.vars.value.id != '' %}
        <h1>{{ "group.edit"|trans }}</h1>
    {% else %}
        <h1>{{ "new.group.create"|trans }}</h1>
    {% endif %}

    {# Form to create new text module group #}
    <form
        class="flow-root u-mt-1_5"
        name="groupsForm"
        method="post"
        action="{{ path('DemosPlan_procedure_boilerplate_group_edit', {'procedure': procedure, 'boilerplateGroupId': form.vars.value.id|default('new')}) }}"
        data-dp-validate>

        {# new group #}
        <label class="layout__item u-2-of-3 u-pl-0 u-pr">
            {% if  form.vars.value.id is defined  and form.vars.value.id != '' %}
                {{ "group.edit"|trans }}
            {% else %}
                {{ "new.group.create"|trans }}
            {% endif %}
            <input
                class="layout__item height-28"
                id="r_title"
                name="r_title"
                type="text"
                value="{{ form.vars.value.title }}"
                placeholder="Name der neuen Gruppe"
                data-cy="newGroupName"
                required>
            <input name="id" type="hidden" value="{{ form.vars.value.id }}">
        </label><!--

        --><div class="layout__item u-1-of-3 u-m-0 u-mt text-right space-inline-s">
            {% if  form.vars.value.id is defined  and form.vars.value.id != '' %}
                <button class="btn btn--primary" name="r_editGroup" type="submit">{{ "save"|trans }}</button>
                <a class="btn btn--secondary" href="{{ path('DemosPlan_procedure_boilerplate_list', {'procedure': procedure}) }}">
                    {{ "abort"|trans }}
                </a>
            {% else %}
                <button class="btn btn--primary" name="r_createGroup">
                    {{ "group.new"|trans }}
                </button>
                <a class="btn btn--secondary" href="{{ path('DemosPlan_procedure_boilerplate_list', {'procedure': procedure}) }}">
                    {{ "abort"|trans }}
                </a>
            {% endif %}
        </div>

        <hr class="">

    </form>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('core-genericBundleValidate.js') }}
{% endblock javascripts %}
